For the complete documentation index, see llms.txt. This page is also available as Markdown.

AttributeFieldTypes

Introduction

AttributeFieldTypes describe how an AttributeField behaves and which config structure is expected.

The rich-text and description type values and the privacy-policy type's config.text value use the shared Rich Text HTML format.

Admin: List

List all AttributeFieldTypes in administration scope.

Definition

GET /api/administration/additional-attributes/field-types

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/administration/additional-attributes/field-types', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);

Example Response

[
  {
    "id": "text",
    "icon_id": 72,
    "default_config": {},
    "unique": false,
    "relevant": true,
    "sort_number": 1
  },
  {
    "id": "entity-select",
    "icon_id": 129,
    "default_config": {
      "entity_type": null,
      "selectable_entities_filters": null,
      "representation": {
        "label_template": null,
        "result_template": null,
        "display": {
          "type": "select-modal",
          "config": null
        }
      }
    },
    "unique": false,
    "relevant": true,
    "sort_number": 9
  }
]

Admin: Show

Show one AttributeFieldType in administration scope.

Definition

GET /api/administration/additional-attributes/field-types/{formFieldType}

Route Parameters

Parameter
Type
Description

formFieldType

string

Type ID (for example text).

Example Request

Example Response

Allowed type keys

  • text

  • boolean

  • rich-text

  • checkbox

  • radio

  • select

  • datetime

  • file-upload

  • entity-select

  • entities-select

  • recipient-select

  • description

  • privacy-policy

  • signature

Last updated